%define ver     4.0.0

Summary: LSB Dummy Package
Name: lsb-dummy
Version: %ver
Release: 1
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-dummy-%ver.tar.gz
BuildRoot: /var/tmp/lsb-dummy-root
AutoReqProv: no
Provides: lsb = 4.0
Provides: lsb-core-noarch = 4.0
Provides: lsb-graphics-noarch = 4.0
%ifarch i386 i486 i586 i686 athlon
Provides: lsb-core-ia32 = 4.0
Provides: lsb-graphics-ia32 = 4.0
%endif
%ifarch ia64
Provides: lsb-core-ia64 = 4.0
Provides: lsb-graphics-ia64 = 4.0
%endif
%ifarch ppc
Provides: lsb-core-ppc32 = 4.0
Provides: lsb-graphics-ppc32 = 4.0
%endif
%ifarch ppc64
Provides: lsb-core-ppc64 = 4.0
Provides: lsb-graphics-ppc64 = 4.0
%endif
%ifarch s390
Provides: lsb-core-s390 = 4.0
Provides: lsb-graphics-s390 = 4.0
%endif
%ifarch s390x
Provides: lsb-core-s390x = 4.0
Provides: lsb-graphics-s390x = 4.0
%endif
%ifarch x86_64
Provides: lsb-core-amd64 = 4.0
Provides: lsb-graphics-amd64 = 4.0
%endif

%description
This package will (unofficially) bump an LSB 3.X system to 4.0
while still leaving the previous "Provides" in place. It 
can also be used on a non-LSB compliant system to simulate 
compliance. It does the above functions by providing the 
lsb-core-<arch> and lsb-graphics-<arch> dependencies needed by 
other packages, such as the LSB application battery.

#
# Comment out the %post and %postun sections of the spec file for
# the LSB 3.2 version of lsb-dummy so we don't end up recreating
# the link to the LSB dynamic linker. When the LSB 4.0 version
# of lsb-dummy is created it will need to uncomment these lines
# in the event a new .so number is used for the LSB linker.
#
#%post
#%ifarch i386 i486 i586 i686 athlon
#ln -sf /lib/ld-linux.so.2 /lib/ld-lsb.so.3
#%endif
#%ifarch ia64
#ln -sf /lib/ld-linux-ia64.so.2 /lib/ld-lsb-ia64.so.3
#%endif
#%ifarch ppc
#ln -sf /lib/ld.so.1 /lib/ld-lsb-ppc32.so.3
#%endif
#%ifarch ppc64
#ln -sf /lib64/ld64.so.1 /lib64/ld-lsb-ppc64.so.3
#%endif
#%ifarch s390
#ln -sf /lib/ld.so.1 /lib/ld-lsb-s390.so.3
#%endif
#%ifarch s390x
#ln -sf /lib64/ld64.so.1 /lib64/ld-lsb-s390x.so.3
#%endif
#%ifarch x86_64
#ln -sf /lib64/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3
#%endif
#
#%postun
#%ifarch i386 i486 i586 i686 athlon
#rm /lib/ld-lsb.so.3
#%endif
#%ifarch ia64
#rm /lib/ld-lsb-ia64.so.3
#%endif
#%ifarch ppc
#rm /lib/ld-lsb-ppc32.so.3
#%endif
#%ifarch ppc64
#rm /lib64/ld-lsb-ppc64.so.3
#%endif
#%ifarch s390
#rm /lib/ld-lsb-s390.so.3
#%endif
#%ifarch s390x
#rm /lib64/ld-lsb-s390x.so.3
#%endif
#%ifarch x86_64
#rm /lib64/ld-lsb-x86-64.so.3
#%endif

%prep
%setup -q

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-dummy
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-dummy

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb

%changelog
* Tue Mar 11 2008 Stew Benedict <stewb@linux-foundation.org>
- bump the provides for LSB 4.0 development
  may still need to change the dynamic linker later

* Wed Aug 22 2007 Marvin Heffler <heffler@us.ibm.com>
- Increment version numbers for LSB 3.2 development

* Tue Jan 10 2006 Marvin Heffler <heffler@us.ibm.com>
- Increment version numbers for LSB 3.1 development

* Thu Jul 22 2004 Marvin Heffler <heffler@us.ibm.com>
- Initial package
